### 说明

---

由于`.stylelintrc`文件不能注释，所以说明文件放在这里

```
"rules": {
	"color-no-invalid-hex": true, // 禁止无效的hex色值
	"function-calc-no-invalid": true, // 检测calc方法无效值
	"function-calc-no-unspaced-operator": true, // calc方法的值之间需要有有效的间距
	"function-linear-gradient-no-nonstandard-direction": true, // 检验渐变函数方向写法正确性
	"declaration-block-no-duplicate-properties": true, // 一个区块内不允许使用相同的属性
	"block-no-empty": true, // 禁止空样式
	"comment-no-empty": true, // 禁止空注释
	"no-duplicate-at-import-rules": true, // 禁止重复引用
	"no-duplicate-selectors": true, // 禁止重复选择器
	"no-extra-semicolons": true, // 禁止错误的分号
	"function-url-no-scheme-relative": true, // url引用的时候禁止无效的scheme值
	"shorthand-property-no-redundant-values": true, // 简写的时候不允许有冗余值
	"declaration-block-no-redundant-longhand-properties": true, // 能简写的属性需要简写
	"no-unknown-animations": true, // 引用未定义的animate
	"color-hex-case": 'lower', // 色值需要用小写
	"color-hex-length": 'short', // 色值需要用简写
	"function-comma-space-after": 'always', // 函数中逗号之后必须要有空格
	"function-comma-space-before": 'never', // 函数中逗号之前不要有空格
	"function-parentheses-space-inside": 'never', // 函数中，左括号右侧没有空格，右括号左侧没有空格
	"function-whitespace-after": 'always', // 函数之间需要空格
	"number-leading-zero": 'never', // 0.的小数不需要0
	"value-list-comma-space-after": 'always', // 值中逗号右边需要空格
	"value-list-comma-space-before": 'never', // 值中逗号左边不需要空格
	"declaration-colon-space-after": 'always', // 值中冒号右边需要空格
	"declaration-colon-space-before": 'never', // 值中冒号左边需要空格
	"selector-attribute-brackets-space-inside": 'never', // 属性选择器中括号内没有空格
	"selector-pseudo-class-parentheses-space-inside": 'never', // 伪类选择器括号内没有空格
	"selector-list-comma-newline-after": 'always', // 多选择器逗号后需要有换行
	"media-feature-colon-space-after": 'always', // media选择冒号后需要空格
	"media-feature-colon-space-before": 'never', // media选择冒号前不需要空格
	"media-feature-parentheses-space-inside": 'never', // media选择左括号右侧无空格，右括号左侧无空格
	"media-feature-range-operator-space-after": 'always', // media判断符号右侧需要空格
	"media-feature-range-operator-space-before": 'always', // media判断符号左侧需要空格
	"indentation": 4 // 缩进要4个空格
}
```

