const fs = require('fs-extra')
const { resolve } = require('path')
const symbols = require('log-symbols'); // 用于输出图标
const ora = require('ora'); // 用于输出loading
const chalk = require('chalk'); // 用于改变文字颜色

module.exports = function(name) {
    const downSpinner = ora('正在下载模板...').start();
    let templateDir = resolve(__dirname, '../template')
    let newDir = resolve(name)

    return new Promise((res, reject) => {
        fs.copy(templateDir, newDir).then(r => {
            downSpinner.succeed(chalk.green('模板下载成功！请手动安装依赖'));
            res();
        }).catch(err => {
            downSpinner.fail();
            console.log(symbols.error, chalk.red(err));
            reject(err);
            console.log(symbols.error, chalk.red('请尝试科学上网后再下载模板或修改DNS为8.8.8.8'));
            return;
        })
    })
}